openapi: 3.0.4
info:
  title: Producer Export
  version: v1
paths:
  /producerexport/v1/agents/export:
    post:
      tags:
        - ProducerExport
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProfileExportAgentRequestDto'
          application/xml:
            schema:
              $ref: '#/components/schemas/ProfileExportAgentRequestDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/AgentResponse'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
  /producerexport/v1/agencies/export:
    post:
      tags:
        - ProducerExport
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProfileExportFirmRequestDto'
          application/xml:
            schema:
              $ref: '#/components/schemas/ProfileExportFirmRequestDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FirmResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/FirmResponse'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
components:
  schemas:
    AgentAddressDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetAddressDataResult'
          nullable: true
      additionalProperties: false
    AgentAffiliationDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProfileExportAgentGetLicenseAffiliationsDataResult
          nullable: true
      additionalProperties: false
    AgentAgencyDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetFirmDataResult'
          nullable: true
      additionalProperties: false
    AgentAppointmentDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetAppointmentsDataResult'
          nullable: true
      additionalProperties: false
    AgentCeDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetCeDataResult'
          nullable: true
      additionalProperties: false
    AgentCommentsDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetCommentsDataResult'
          nullable: true
      additionalProperties: false
    AgentContactDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetContactInfoDataResult'
          nullable: true
      additionalProperties: false
    AgentContractingDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetContractingDataResult'
          nullable: true
      additionalProperties: false
    AgentDataSet:
      type: object
      properties:
        type:
          type: string
          nullable: true
      additionalProperties: false
    AgentDemographicDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetDemographicsDataResult'
          nullable: true
      additionalProperties: false
    AgentDesignationsDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetDesignationsDataResult'
          nullable: true
      additionalProperties: false
    AgentDisclosureDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetDisclosuresDataResult'
          nullable: true
      additionalProperties: false
    AgentDrpDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetDrpDataResult'
          nullable: true
      additionalProperties: false
    AgentEducationDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetEducationDataResult'
          nullable: true
      additionalProperties: false
    AgentEmploymentDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetEmploymentDataResult'
          nullable: true
      additionalProperties: false
    AgentErrorsAndOmissionsDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProfileExportAgentGetErrorsAndOmissionsDataResult
          nullable: true
      additionalProperties: false
    AgentExamDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetExamsDataResult'
          nullable: true
      additionalProperties: false
    AgentFingerprintDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetFingerprintDataResult'
          nullable: true
      additionalProperties: false
    AgentIarCeDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetIarCeDataResult'
          nullable: true
      additionalProperties: false
    AgentLicenseDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetLicensesDataResult'
          nullable: true
      additionalProperties: false
    AgentObaDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetOtherBusinessDataResult'
          nullable: true
      additionalProperties: false
    AgentOfficeOfEmploymentDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProfileExportAgentGetOfficeOfEmploymentLocationsDataResult
          nullable: true
      additionalProperties: false
    AgentPermissiveRegistrationsDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProfileExportAgentGetPermissiveRegistrationsDataResult
          nullable: true
      additionalProperties: false
    AgentPersonalInfoDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetPersonalDataResult'
          nullable: true
      additionalProperties: false
    AgentRegCeDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetRegCeDataResult'
          nullable: true
      additionalProperties: false
    AgentRegistrationsDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetRegistrationsDataResult'
          nullable: true
      additionalProperties: false
    AgentRelationshipsDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/AgentDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetRelationshipsDataResult'
          nullable: true
      additionalProperties: false
    AgentResponse:
      type: object
      properties:
        dataSets:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/AgentAddressDataSet'
              - $ref: '#/components/schemas/AgentAffiliationDataSet'
              - $ref: '#/components/schemas/AgentAgencyDataSet'
              - $ref: '#/components/schemas/AgentAppointmentDataSet'
              - $ref: '#/components/schemas/AgentCeDataSet'
              - $ref: '#/components/schemas/AgentCommentsDataSet'
              - $ref: '#/components/schemas/AgentContactDataSet'
              - $ref: '#/components/schemas/AgentContractingDataSet'
              - $ref: '#/components/schemas/AgentDemographicDataSet'
              - $ref: '#/components/schemas/AgentDesignationsDataSet'
              - $ref: '#/components/schemas/AgentDisclosureDataSet'
              - $ref: '#/components/schemas/AgentDrpDataSet'
              - $ref: '#/components/schemas/AgentEducationDataSet'
              - $ref: '#/components/schemas/AgentEmploymentDataSet'
              - $ref: '#/components/schemas/AgentErrorsAndOmissionsDataSet'
              - $ref: '#/components/schemas/AgentExamDataSet'
              - $ref: '#/components/schemas/AgentFingerprintDataSet'
              - $ref: '#/components/schemas/AgentIarCeDataSet'
              - $ref: '#/components/schemas/AgentLicenseDataSet'
              - $ref: '#/components/schemas/AgentObaDataSet'
              - $ref: '#/components/schemas/AgentOfficeOfEmploymentDataSet'
              - $ref: '#/components/schemas/AgentPersonalInfoDataSet'
              - $ref: '#/components/schemas/AgentRegCeDataSet'
              - $ref: '#/components/schemas/AgentRegistrationsDataSet'
              - $ref: '#/components/schemas/AgentPermissiveRegistrationsDataSet'
              - $ref: '#/components/schemas/AgentRelationshipsDataSet'
          nullable: true
      additionalProperties: false
    FirmAddressDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetAddressDataResult'
          nullable: true
      additionalProperties: false
    FirmAppointmentDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetAppointmentsDataResult'
          nullable: true
      additionalProperties: false
    FirmCertificatesAndRecordsLocationDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetRcrdsCertLocsDataResult'
          nullable: true
      additionalProperties: false
    FirmContactDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetContactDataResult'
          nullable: true
      additionalProperties: false
    FirmContractingDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetContractingDataResult'
          nullable: true
      additionalProperties: false
    FirmContractingListDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetContractingListDataResult'
          nullable: true
      additionalProperties: false
    FirmDataSet:
      type: object
      properties:
        type:
          type: string
          nullable: true
      additionalProperties: false
    FirmDeficiencyDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetDeficienciesDataResult'
          nullable: true
      additionalProperties: false
    FirmDemographicDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetDemographicsDataResult'
          nullable: true
      additionalProperties: false
    FirmErrorsAndOmissionsDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProfileExportFirmGetErrorsAndOmissionsDataResult
          nullable: true
      additionalProperties: false
    FirmFirmAffiliationsDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetAffiliationsDataResult'
          nullable: true
      additionalProperties: false
    FirmFirmDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetFirmInfoDataResult'
          nullable: true
      additionalProperties: false
    FirmLicenseDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetLicensesDataResult'
          nullable: true
      additionalProperties: false
    FirmNoteDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetNotesDataResult'
          nullable: true
      additionalProperties: false
    FirmNyseBranchDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetNyseBranchInfoDataResult'
          nullable: true
      additionalProperties: false
    FirmOfficeArrangementsDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetRgmntsDataResult'
          nullable: true
      additionalProperties: false
    FirmOfficeFinancialInterestsDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetRgmntEnttysDataResult'
          nullable: true
      additionalProperties: false
    FirmOfficeSharingDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetOfficeSharingDataResult'
          nullable: true
      additionalProperties: false
    FirmOfficeTypeDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetOfficeTypeDataResult'
          nullable: true
      additionalProperties: false
    FirmOfficerDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetOfficerDataResult'
          nullable: true
      additionalProperties: false
    FirmOtherBusinessDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProfileExportFirmGetOtherBusinessInfoDataResult
          nullable: true
      additionalProperties: false
    FirmOtherBusinessNameDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetOtherBusinessesDataResult'
          nullable: true
      additionalProperties: false
    FirmRegistrationDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetRegtnsDataResult'
          nullable: true
      additionalProperties: false
    FirmRelationshipsDataSet:
      type: object
      allOf:
        - $ref: '#/components/schemas/FirmDataSet'
      properties:
        value:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetRelationshipsDataResult'
          nullable: true
      additionalProperties: false
    FirmResponse:
      type: object
      properties:
        dataSets:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/FirmAddressDataSet'
              - $ref: '#/components/schemas/FirmAppointmentDataSet'
              - $ref: '#/components/schemas/FirmCertificatesAndRecordsLocationDataSet'
              - $ref: '#/components/schemas/FirmContactDataSet'
              - $ref: '#/components/schemas/FirmContractingDataSet'
              - $ref: '#/components/schemas/FirmContractingListDataSet'
              - $ref: '#/components/schemas/FirmDeficiencyDataSet'
              - $ref: '#/components/schemas/FirmDemographicDataSet'
              - $ref: '#/components/schemas/FirmErrorsAndOmissionsDataSet'
              - $ref: '#/components/schemas/FirmFirmDataSet'
              - $ref: '#/components/schemas/FirmFirmAffiliationsDataSet'
              - $ref: '#/components/schemas/FirmLicenseDataSet'
              - $ref: '#/components/schemas/FirmNoteDataSet'
              - $ref: '#/components/schemas/FirmNyseBranchDataSet'
              - $ref: '#/components/schemas/FirmOfficeArrangementsDataSet'
              - $ref: '#/components/schemas/FirmOfficeFinancialInterestsDataSet'
              - $ref: '#/components/schemas/FirmOfficerDataSet'
              - $ref: '#/components/schemas/FirmOfficeSharingDataSet'
              - $ref: '#/components/schemas/FirmOfficeTypeDataSet'
              - $ref: '#/components/schemas/FirmOtherBusinessDataSet'
              - $ref: '#/components/schemas/FirmOtherBusinessNameDataSet'
              - $ref: '#/components/schemas/FirmRegistrationDataSet'
              - $ref: '#/components/schemas/FirmRelationshipsDataSet'
          nullable: true
      additionalProperties: false
    ProfileExportAgentGetAddressDataResult:
      type: object
      properties:
        addressType:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        agentAddressId:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        city:
          type: string
          nullable: true
          readOnly: true
        country:
          type: string
          nullable: true
          readOnly: true
        county:
          type: string
          nullable: true
          readOnly: true
        fromDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        stateId:
          type: string
          nullable: true
          readOnly: true
        street1:
          type: string
          nullable: true
          readOnly: true
        street2:
          type: string
          nullable: true
          readOnly: true
        toDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
        zip:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetAppointmentLoaData:
      type: object
      properties:
        loaEndDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        promptBusCode:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetAppointmentsDataResult:
      type: object
      properties:
        appointmentCustomDate1:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        appointmentCustomDate2:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        appointmentCustomField1:
          type: string
          nullable: true
          readOnly: true
        appointmentCustomField2:
          type: string
          nullable: true
          readOnly: true
        appointmentCustomField3:
          type: string
          nullable: true
          readOnly: true
        appointmentCustomField4:
          type: string
          nullable: true
          readOnly: true
        appointmentCustomField5:
          type: string
          nullable: true
          readOnly: true
        appointmentEndDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        appointmentId:
          type: integer
          format: int64
          readOnly: true
        appointmentNotes:
          type: string
          nullable: true
          readOnly: true
        appointmentRenewalDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        appointmentStatus:
          type: integer
          format: int32
          readOnly: true
        appointmentTerminationDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        carrierAccountId:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        naicNumber:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        stateId:
          type: string
          nullable: true
          readOnly: true
        transactionEffectiveDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        transactionRequestDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
        appointmentLoaData:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetAppointmentLoaData'
          nullable: true
      additionalProperties: false
    ProfileExportAgentGetCeDataResult:
      type: object
      properties:
        ceCompleteDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        ceExamStatus:
          type: string
          nullable: true
          readOnly: true
        continuingEducationId:
          type: integer
          format: int64
          readOnly: true
        examCode:
          type: string
          nullable: true
          readOnly: true
        exemptIndicator:
          type: string
          nullable: true
          readOnly: true
        exemptReason:
          type: string
          nullable: true
          readOnly: true
        result:
          type: string
          nullable: true
          readOnly: true
        scheduledDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        statusDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        windowBeginDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        windowEndDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetCommentsDataResult:
      type: object
      properties:
        companyNotes:
          type: string
          nullable: true
          readOnly: true
        producerNotes:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetContactInfoDataResult:
      type: object
      properties:
        additionalEmail:
          type: string
          nullable: true
          readOnly: true
        agentContactId:
          type: integer
          format: int64
          readOnly: true
        businessEmailAddress:
          type: string
          nullable: true
          readOnly: true
        businessFaxNumber:
          type: string
          nullable: true
          readOnly: true
        businessPhoneNumber:
          type: string
          nullable: true
          readOnly: true
        cellPhoneNumber:
          type: string
          nullable: true
          readOnly: true
        homeFaxNumber:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        homePhoneNumber:
          type: string
          nullable: true
          readOnly: true
        personalEmailAddress:
          type: string
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetContractingDataResult:
      type: object
      properties:
        agencyContractIdentifier:
          type: string
          nullable: true
          readOnly: true
        agencyId:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        individualContractId:
          type: string
          nullable: true
          readOnly: true
        individualContractStatus:
          type: string
          nullable: true
          readOnly: true
        lastModifiedBy:
          type: string
          nullable: true
          readOnly: true
        lastModifiedDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        lineOfBusiness:
          type: string
          nullable: true
          readOnly: true
        preferredCommunicationMethod:
          type: string
          nullable: true
          readOnly: true
        principalYesNo:
          type: string
          nullable: true
          readOnly: true
        products:
          type: string
          nullable: true
          readOnly: true
        standardContractType:
          type: string
          nullable: true
          readOnly: true
        startDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        terminationDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        title:
          type: string
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
        comments:
          type: string
          nullable: true
          readOnly: true
        contractCust1:
          type: string
          nullable: true
          readOnly: true
        contractCust2:
          type: string
          nullable: true
          readOnly: true
        contractCust3:
          type: string
          nullable: true
          readOnly: true
        contractCust4:
          type: string
          nullable: true
          readOnly: true
        contractCust5:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetDemographicsDataResult:
      type: object
      properties:
        affiliationYesNoIndicator:
          type: string
          nullable: true
          readOnly: true
        agentCustomField1:
          type: string
          nullable: true
          readOnly: true
        agentCustomField10:
          type: string
          nullable: true
          readOnly: true
        agentCustomField2:
          type: string
          nullable: true
          readOnly: true
        agentCustomField3:
          type: string
          nullable: true
          readOnly: true
        agentCustomField4:
          type: string
          nullable: true
          readOnly: true
        agentCustomField5:
          type: string
          nullable: true
          readOnly: true
        agentCustomField6:
          type: string
          nullable: true
          readOnly: true
        agentCustomField7:
          type: string
          nullable: true
          readOnly: true
        agentCustomField8:
          type: string
          nullable: true
          readOnly: true
        agentCustomField9:
          type: string
          nullable: true
          readOnly: true
        agentId:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        alertsTarget:
          type: string
          nullable: true
          readOnly: true
        alias:
          type: string
          nullable: true
          readOnly: true
        backOfficeNrfIndicator:
          type: string
          nullable: true
          readOnly: true
        billingCode:
          type: string
          nullable: true
          readOnly: true
        ceForeignDefferedIndicator:
          type: string
          nullable: true
          readOnly: true
        citizenIndicator:
          type: string
          nullable: true
          readOnly: true
        countryName:
          type: string
          nullable: true
          readOnly: true
        crdNumber:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        deptNumber:
          type: string
          nullable: true
          readOnly: true
        dob:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        driverLicenseState:
          type: string
          nullable: true
          readOnly: true
        driversLicenseNumber:
          type: string
          nullable: true
          readOnly: true
        employeeCompanyId:
          type: string
          nullable: true
          readOnly: true
        employerFein:
          type: string
          nullable: true
          readOnly: true
        firstName:
          type: string
          nullable: true
          readOnly: true
        hireDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        initialU4Date:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        lastBiDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        lastModifiedBy:
          type: string
          nullable: true
          readOnly: true
        lastModifiedDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        lastName:
          type: string
          nullable: true
          readOnly: true
        middleInitial:
          type: string
          nullable: true
          readOnly: true
        niprNumber:
          type: string
          nullable: true
          readOnly: true
        officeNumber:
          type: string
          nullable: true
          readOnly: true
        regCeBaseDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        regionId:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        reportableDisclosureExistIndicator:
          type: string
          nullable: true
          readOnly: true
        residentState:
          type: string
          nullable: true
          readOnly: true
        salutation:
          type: string
          nullable: true
          readOnly: true
        sexIndicator:
          type: string
          nullable: true
          readOnly: true
        ssn:
          type: string
          nullable: true
          readOnly: true
        status:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        statutoryDisqualificationStatus:
          type: string
          nullable: true
          readOnly: true
        suffix:
          type: string
          nullable: true
          readOnly: true
        termDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        title:
          type: string
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetDesignationsDataResult:
      type: object
      properties:
        comments:
          type: string
          nullable: true
          readOnly: true
        designationCode:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        designationId:
          type: integer
          format: int64
          readOnly: true
        effectiveDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        exemptionIndicator:
          type: string
          nullable: true
          readOnly: true
        status:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        statusDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetDisclosuresDataResult:
      type: object
      properties:
        answer:
          type: string
          nullable: true
          readOnly: true
        answerDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        disclosureId:
          type: integer
          format: int64
          readOnly: true
        questionNumber:
          type: string
          nullable: true
          readOnly: true
        questionText:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetDrpDataResult:
      type: object
      properties:
        allegations:
          type: string
          nullable: true
          readOnly: true
        caseId:
          type: string
          nullable: true
          readOnly: true
        comments:
          type: string
          nullable: true
          readOnly: true
        contactFNm:
          type: string
          nullable: true
          readOnly: true
        contactLNm:
          type: string
          nullable: true
          readOnly: true
        contactPhone:
          type: string
          nullable: true
          readOnly: true
        disclosureType:
          type: string
          nullable: true
          readOnly: true
        drpId:
          type: integer
          format: int64
          readOnly: true
        drpSt:
          type: string
          nullable: true
          readOnly: true
        drpStD:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        drpSummary:
          type: string
          nullable: true
          readOnly: true
        initBy:
          type: string
          nullable: true
          readOnly: true
        lastUpdatedDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        ocrnNo:
          type: string
          nullable: true
          readOnly: true
        questions:
          type: string
          nullable: true
          readOnly: true
        re3Comments:
          type: string
          nullable: true
          readOnly: true
        re3ReqI:
          type: string
          nullable: true
          readOnly: true
        rptbl:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetEducationDataResult:
      type: object
      properties:
        agentEducationId:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        city:
          type: string
          nullable: true
          readOnly: true
        country:
          type: string
          nullable: true
          readOnly: true
        county:
          type: string
          nullable: true
          readOnly: true
        fromDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        graduatedIndicator:
          type: string
          nullable: true
          readOnly: true
        level:
          type: string
          nullable: true
          readOnly: true
        schoolName:
          type: string
          nullable: true
          readOnly: true
        stateId:
          type: string
          nullable: true
          readOnly: true
        street1:
          type: string
          nullable: true
          readOnly: true
        street2:
          type: string
          nullable: true
          readOnly: true
        toDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
        zip:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetEmploymentDataResult:
      type: object
      properties:
        agentEmploymentId:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        agentId:
          type: integer
          format: int64
          readOnly: true
        city:
          type: string
          nullable: true
          readOnly: true
        country:
          type: string
          nullable: true
          readOnly: true
        county:
          type: string
          nullable: true
          readOnly: true
        dateHire:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        dateTerm:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        employerName:
          type: string
          nullable: true
          readOnly: true
        investmentRelatedIndicator:
          type: string
          nullable: true
          readOnly: true
        pstnHeld:
          type: string
          nullable: true
          readOnly: true
        seqNbId:
          type: string
          nullable: true
          readOnly: true
        stateId:
          type: string
          nullable: true
          readOnly: true
        street1:
          type: string
          nullable: true
          readOnly: true
        street2:
          type: string
          nullable: true
          readOnly: true
        supervisorName:
          type: string
          nullable: true
          readOnly: true
        title:
          type: string
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
        zip:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetErrorsAndOmissionsDataResult:
      type: object
      properties:
        aggregateClaimLimit:
          type: number
          format: double
          nullable: true
          readOnly: true
        carrier:
          type: string
          nullable: true
          readOnly: true
        customField1:
          type: string
          nullable: true
          readOnly: true
        customField2:
          type: string
          nullable: true
          readOnly: true
        effectiveDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        excessClaimLimit:
          type: number
          format: double
          nullable: true
          readOnly: true
        expirationDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        id:
          type: integer
          format: int64
          readOnly: true
        perClaimDeductible:
          type: number
          format: double
          nullable: true
          readOnly: true
        perClaimLimit:
          type: number
          format: double
          nullable: true
          readOnly: true
        policyNumber:
          type: string
          nullable: true
          readOnly: true
        status:
          type: integer
          format: int64
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetExamsDataResult:
      type: object
      properties:
        agentId:
          type: integer
          format: int64
          readOnly: true
        approvingRegulator:
          type: string
          nullable: true
          readOnly: true
        dateExamTaken:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        dateExamWaived:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        examValid:
          type: string
          nullable: true
          readOnly: true
        examValidityDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        examCode:
          type: string
          nullable: true
          readOnly: true
        examGrade:
          type: string
          nullable: true
          readOnly: true
        examId:
          type: integer
          format: int64
          readOnly: true
        examScore:
          type: string
          nullable: true
          readOnly: true
        status:
          type: string
          nullable: true
          readOnly: true
        statusDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        scheduledDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
        windowCloseDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        windowOpenDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        waiverReason:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetFingerprintDataResult:
      type: object
      properties:
        barcode:
          type: string
          nullable: true
          readOnly: true
        fingerprintStatus:
          type: string
          nullable: true
          readOnly: true
        fingerprintStatusDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        firmName:
          type: string
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetFirmDataResult:
      type: object
      properties:
        accountId:
          type: integer
          format: int64
          readOnly: true
        affiliationType:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        agencyId:
          type: integer
          format: int64
          readOnly: true
        agencyInternalCode:
          type: string
          nullable: true
          readOnly: true
        agencyName:
          type: string
          nullable: true
          readOnly: true
        agentAgencyId:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        agentId:
          type: integer
          format: int64
          readOnly: true
        effectiveDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        terminationDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetIarCeDataResult:
      type: object
      properties:
        agentId:
          type: integer
          format: int64
          readOnly: true
        eprCreditsEarned:
          type: integer
          format: int32
          readOnly: true
        iaCeStatusCode:
          type: string
          nullable: true
          readOnly: true
        iaCeStatusDescription:
          type: string
          nullable: true
          readOnly: true
        iarCeItemId:
          type: integer
          format: int64
          readOnly: true
        ppCreditsEarned:
          type: integer
          format: int32
          readOnly: true
        publishedDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        statusCode:
          type: string
          nullable: true
          readOnly: true
        statusDescription:
          type: string
          nullable: true
          readOnly: true
        totalCreditsEarned:
          type: integer
          format: int32
          readOnly: true
        year:
          type: integer
          format: int32
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetLicenseAffiliationsDataResult:
      type: object
      properties:
        affiliatedAgencyLicenseId:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        affiliatedAgencyLicenseNo:
          type: string
          nullable: true
          readOnly: true
        affiliatedCompanyId:
          type: integer
          format: int64
          readOnly: true
        affiliationDeletedDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        affiliationEffectiveDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        affiliationId:
          type: integer
          format: int64
          readOnly: true
        affiliationRequestDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        affiliationTerminationDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        agentId:
          type: integer
          format: int64
          readOnly: true
        licenseId:
          type: integer
          format: int64
          readOnly: true
        stateId:
          type: string
          nullable: true
          readOnly: true
        status:
          type: integer
          format: int32
          readOnly: true
        useR_DEFINED_C:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetLicensesDataResult:
      type: object
      properties:
        ceRenewalDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        licenseCustomDate1:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        licenseCustomDate2:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        licenseCustomField1:
          type: string
          nullable: true
          readOnly: true
        licenseCustomField2:
          type: string
          nullable: true
          readOnly: true
        licenseCustomField3:
          type: string
          nullable: true
          readOnly: true
        licenseCustomField4:
          type: string
          nullable: true
          readOnly: true
        licenseCustomField5:
          type: string
          nullable: true
          readOnly: true
        licenseEndDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        licenseId:
          type: integer
          format: int64
          readOnly: true
        licenseNotes:
          type: string
          nullable: true
          readOnly: true
        licenseNumber:
          type: string
          nullable: true
          readOnly: true
        licenseRenewalDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        licenseStatus:
          type: integer
          format: int32
          readOnly: true
        licenseTerminationDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        licenseType:
          type: string
          nullable: true
          readOnly: true
        originalLicenseEffectiveDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        residentStateIndicator:
          type: string
          nullable: true
          readOnly: true
        stateId:
          type: string
          nullable: true
          readOnly: true
        transactionEffectiveDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        transactionRequestDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
        licensesLoaData:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportAgentGetLicensesLoaData'
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetLicensesLoaData:
      type: object
      properties:
        loaEndDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        promptBusCode:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetOfficeOfEmploymentLocationsDataResult:
      type: object
      properties:
        agencyId:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        agentEmploymentLocationId:
          type: integer
          format: int64
          readOnly: true
        agentId:
          type: integer
          format: int64
          readOnly: true
        bdOfficeIndicator:
          type: string
          nullable: true
          readOnly: true
        billingCode:
          type: string
          nullable: true
          readOnly: true
        branchCrd:
          type: string
          nullable: true
          readOnly: true
        endDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        firmCrdNumber:
          type: string
          nullable: true
          readOnly: true
        iaOfficeIndicator:
          type: string
          nullable: true
          readOnly: true
        locatedAtIndicator:
          type: string
          nullable: true
          readOnly: true
        nyseBranchCode:
          type: string
          nullable: true
          readOnly: true
        privateResidenceIndicator:
          type: string
          nullable: true
          readOnly: true
        startDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        supervisedFromIndicator:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetOtherBusinessDataResult:
      type: object
      properties:
        description:
          type: string
          nullable: true
          readOnly: true
        otherBusinessId:
          type: integer
          format: int64
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetPermissiveRegistrationsDataResult:
      type: object
      properties:
        crdNumber:
          type: string
          nullable: true
        emailAddress:
          type: string
          nullable: true
        endDate:
          type: string
          format: date-time
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        phoneNumber:
          type: integer
          format: int64
          nullable: true
        startDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    ProfileExportAgentGetPersonalDataResult:
      type: object
      properties:
        birthCity:
          type: string
          nullable: true
          readOnly: true
        birthCountry:
          type: string
          nullable: true
          readOnly: true
        birthState:
          type: string
          nullable: true
          readOnly: true
        eyeColor:
          type: string
          nullable: true
          readOnly: true
        fathersName:
          type: string
          nullable: true
          readOnly: true
        hairColor:
          type: string
          nullable: true
          readOnly: true
        heightFeet:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        heightInches:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        identifyingMark:
          type: string
          nullable: true
          readOnly: true
        maritalStatusIndicator:
          type: string
          nullable: true
          readOnly: true
        mothersName:
          type: string
          nullable: true
          readOnly: true
        producersMaidenName:
          type: string
          nullable: true
          readOnly: true
        spouseName:
          type: string
          nullable: true
          readOnly: true
        weightLbs:
          type: integer
          format: int32
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetRegCeDataResult:
      type: object
      properties:
        addedBy:
          type: string
          nullable: true
          readOnly: true
        addedDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        agentId:
          type: integer
          format: int64
          readOnly: true
        ce2YearTermedDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        ceInactiveStartDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        ceStatusCode:
          type: string
          nullable: true
          readOnly: true
        ceStatusDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        ceStatusDesc:
          type: string
          nullable: true
          readOnly: true
        ceYear:
          type: string
          nullable: true
          readOnly: true
        courseAssignedDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        courseDueDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        courseId:
          type: string
          nullable: true
          readOnly: true
        courseName:
          type: string
          nullable: true
          readOnly: true
        courseStatusCode:
          type: string
          nullable: true
          readOnly: true
        courseStatusDesc:
          type: string
          nullable: true
          readOnly: true
        employmentStartDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        individualBillingCode:
          type: string
          nullable: true
          readOnly: true
        itemId:
          type: integer
          format: int64
          readOnly: true
        militaryAnnualVerificationReceivedFlag:
          type: string
          nullable: true
          readOnly: true
        militaryDeferredFlag:
          type: string
          nullable: true
          readOnly: true
        militaryDutyBeginDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        modifiedBy:
          type: string
          nullable: true
          readOnly: true
        modifiedDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        newHireFlag:
          type: string
          nullable: true
          readOnly: true
        reportPublishDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetRegistrationsDataResult:
      type: object
      properties:
        s_APRVLDT_D:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        s_CRNT_REG_ID_C:
          type: integer
          format: int64
          readOnly: true
        s_FIRMCRD_NUM_C:
          type: string
          nullable: true
          readOnly: true
        s_PERM_C:
          type: string
          nullable: true
          readOnly: true
        s_PERMENDT_D:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        s_PERMSTDT_D:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        s_REGAUTH_C:
          type: string
          nullable: true
          readOnly: true
        s_REGCAT_C:
          type: string
          nullable: true
          readOnly: true
        s_RENEWAL_DATE_D:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        s_ST_C:
          type: string
          nullable: true
          readOnly: true
        s_STDT_D:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        s_U4FLNGDT_D:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentGetRelationshipsDataResult:
      type: object
      properties:
        contractId:
          type: string
          nullable: true
          readOnly: true
        contractRelationship:
          type: string
          nullable: true
          readOnly: true
        endDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        fein:
          type: string
          nullable: true
          readOnly: true
        firmCode:
          type: string
          nullable: true
          readOnly: true
        firmIndividualProfileCode:
          type: string
          nullable: true
          readOnly: true
        firmName:
          type: string
          nullable: true
          readOnly: true
        firstName:
          type: string
          nullable: true
          readOnly: true
        hierarchyLevel:
          type: string
          nullable: true
          readOnly: true
        lastName:
          type: string
          nullable: true
          readOnly: true
        npn:
          type: string
          nullable: true
          readOnly: true
        relationshipId:
          type: integer
          format: int64
          readOnly: true
        relationshipType:
          type: string
          nullable: true
          readOnly: true
        ssn:
          type: string
          nullable: true
          readOnly: true
        startDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        status:
          type: integer
          format: int32
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportAgentRequestDto:
      required:
        - profileKey
      type: object
      properties:
        profileKey:
          minLength: 1
          type: string
          description: Profile Key
        dataSets:
          type: array
          items:
            type: string
          description: >-
            Valid Agent Data
            Sets:<br>Address<br/>Affiliation<br/>Agency<br/>Appointment<br/>Ce<br/>Comments<br/>Contact<br/>Contracting<br/>Demographic<br/>Designations<br/>Disclosure<br/>Drp<br/>Education<br/>Employment<br/>ErrorsAndOmissions<br/>Exam<br/>Fingerprint<br/>IarCe<br/>License<br/>Oba<br/>OfficeOfEmployment<br/>PersonalInfo<br/>RegCe<br/>Registration<br/>Relationships
          nullable: true
      additionalProperties: false
    ProfileExportFirmGetAddressDataResult:
      type: object
      properties:
        addressFromDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        addressId:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        addressToDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        addressType:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        city:
          type: string
          nullable: true
          readOnly: true
        country:
          type: string
          nullable: true
          readOnly: true
        county:
          type: string
          nullable: true
          readOnly: true
        state:
          type: string
          nullable: true
          readOnly: true
        street1:
          type: string
          nullable: true
          readOnly: true
        street2:
          type: string
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
        zip:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetAffiliationsDataResult:
      type: object
      properties:
        agencyInternalCode:
          type: string
          nullable: true
          readOnly: true
        terminationDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetAppointmentLoaData:
      type: object
      properties:
        loaEndDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        promptBusCode:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetAppointmentsDataResult:
      type: object
      properties:
        appointmentCustomDate1:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        appointmentCustomDate2:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        appointmentCustomField1:
          type: string
          nullable: true
          readOnly: true
        appointmentCustomField2:
          type: string
          nullable: true
          readOnly: true
        appointmentCustomField3:
          type: string
          nullable: true
          readOnly: true
        appointmentCustomField4:
          type: string
          nullable: true
          readOnly: true
        appointmentCustomField5:
          type: string
          nullable: true
          readOnly: true
        appointmentEndDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        appointmentId:
          type: integer
          format: int64
          readOnly: true
        appointmentNotes:
          type: string
          nullable: true
          readOnly: true
        appointmentRenewalDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        appointmentStatus:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        appointmentTerminationDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        carrierAccountId:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        naicNumber:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        stateId:
          type: string
          nullable: true
          readOnly: true
        transactionEffectiveDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        transactionRequestDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
        appointmentLoaData:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetAppointmentLoaData'
          nullable: true
      additionalProperties: false
    ProfileExportFirmGetContactDataResult:
      type: object
      properties:
        agencyContactId:
          type: integer
          format: int64
          readOnly: true
        cellNumber:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        contactEmail:
          type: string
          nullable: true
          readOnly: true
        contactFirstName:
          type: string
          nullable: true
          readOnly: true
        contactLastName:
          type: string
          nullable: true
          readOnly: true
        contactType:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        extension:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        officeFaxNumber:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        officePhoneNumber:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetContractingDataResult:
      type: object
      properties:
        agencyContractIdentifier:
          type: string
          nullable: true
          readOnly: true
        contractCust1:
          type: string
          nullable: true
        contractCust2:
          type: string
          nullable: true
        contractCust3:
          type: string
          nullable: true
        contractCust4:
          type: string
          nullable: true
        firmContractStatus:
          type: string
          nullable: true
          readOnly: true
        lastModifiedBy:
          type: string
          nullable: true
          readOnly: true
        lastModifiedDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        lineOfBusiness:
          type: string
          nullable: true
          readOnly: true
        preferredCommunicationMethod:
          type: string
          nullable: true
          readOnly: true
        products:
          type: string
          nullable: true
          readOnly: true
        standardContractType:
          type: string
          nullable: true
          readOnly: true
        startDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        terminationDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetContractingListDataResult:
      type: object
      properties:
        agencyContractIdentifier:
          type: string
          nullable: true
          readOnly: true
        agentId:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        individualContractId:
          type: string
          nullable: true
          readOnly: true
        individualContractStatus:
          type: string
          nullable: true
          readOnly: true
        lastModifiedBy:
          type: string
          nullable: true
          readOnly: true
        lastModifiedDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        lineOfBusiness:
          type: string
          nullable: true
          readOnly: true
        preferredCommunicationMethod:
          type: string
          nullable: true
          readOnly: true
        principalYesNo:
          type: string
          nullable: true
          readOnly: true
        products:
          type: string
          nullable: true
          readOnly: true
        standardContractType:
          type: string
          nullable: true
          readOnly: true
        startDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        terminationDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        title:
          type: string
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetDeficienciesDataResult:
      type: object
      properties:
        beginningDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        branchDeficiencyCode:
          type: string
          nullable: true
          readOnly: true
        branchDeficiencyDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        branchDeficiencyDetails:
          type: string
          nullable: true
          readOnly: true
        endDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetDemographicsDataResult:
      type: object
      properties:
        activeNpnTarget:
          type: string
          nullable: true
          readOnly: true
        affiliatedIndicator:
          type: string
          nullable: true
          readOnly: true
        agencyCustomField1:
          type: string
          nullable: true
          readOnly: true
        agencyCustomField2:
          type: string
          nullable: true
          readOnly: true
        agencyCustomField3:
          type: string
          nullable: true
          readOnly: true
        agencyId:
          type: integer
          format: int64
          readOnly: true
        agencyName:
          type: string
          nullable: true
          readOnly: true
        branchCrdNumber:
          type: string
          nullable: true
          readOnly: true
        branchOperationalStatus:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        brokerDealerOfficeIndicator:
          type: string
          nullable: true
          readOnly: true
        businessFax:
          type: string
          nullable: true
          readOnly: true
        businessPhone:
          type: string
          nullable: true
          readOnly: true
        costCenter:
          type: string
          nullable: true
          readOnly: true
        dba:
          type: string
          nullable: true
          readOnly: true
        domicileCountry:
          type: string
          nullable: true
          readOnly: true
        domicileState:
          type: string
          nullable: true
          readOnly: true
        email:
          type: string
          nullable: true
          readOnly: true
        filingFirmCrdNumber:
          type: string
          nullable: true
          readOnly: true
        firmBillingCode:
          type: string
          nullable: true
          readOnly: true
        firmId:
          type: string
          nullable: true
          readOnly: true
        incorporationDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        investmentAdvisorIndicator:
          type: string
          nullable: true
          readOnly: true
        lastModifiedBy:
          type: string
          nullable: true
          readOnly: true
        lastModifiedDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        niprNumber:
          type: string
          nullable: true
          readOnly: true
        nyseBranchCodeNumber:
          type: string
          nullable: true
          readOnly: true
        organizationType:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        privateResidenceIndicator:
          type: string
          nullable: true
          readOnly: true
        region:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        startDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        status:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        taxId:
          type: string
          nullable: true
          readOnly: true
        terminationDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
        webAddress:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetErrorsAndOmissionsDataResult:
      type: object
      properties:
        aggregateClaimLimit:
          type: number
          format: double
          nullable: true
          readOnly: true
        carrier:
          type: string
          nullable: true
          readOnly: true
        customField1:
          type: string
          nullable: true
          readOnly: true
        customField2:
          type: string
          nullable: true
          readOnly: true
        effectiveDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        excessClaimLimit:
          type: number
          format: double
          nullable: true
          readOnly: true
        expirationDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        id:
          type: integer
          format: int64
          readOnly: true
        perClaimDeductible:
          type: number
          format: double
          nullable: true
          readOnly: true
        perClaimLimit:
          type: number
          format: double
          nullable: true
          readOnly: true
        policyNumber:
          type: string
          nullable: true
          readOnly: true
        status:
          type: integer
          format: int64
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetFirmInfoDataResult:
      type: object
      properties:
        billingCode:
          type: string
          nullable: true
          readOnly: true
        crdBranchIdentifier:
          type: string
          nullable: true
          readOnly: true
        crdBranchNumber:
          type: string
          nullable: true
          readOnly: true
        currentBranchOperationalStatus:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        finraDistrict:
          type: string
          nullable: true
          readOnly: true
        nasdCrdNumber:
          type: string
          nullable: true
          readOnly: true
        nasdOfficeJurisdictionIndicator:
          type: string
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetLicensesDataResult:
      type: object
      properties:
        licenseCustomDate1:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        licenseCustomDate2:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        licenseCustomField1:
          type: string
          nullable: true
          readOnly: true
        licenseCustomField2:
          type: string
          nullable: true
          readOnly: true
        licenseCustomField3:
          type: string
          nullable: true
          readOnly: true
        licenseCustomField4:
          type: string
          nullable: true
          readOnly: true
        licenseCustomField5:
          type: string
          nullable: true
          readOnly: true
        licenseEndDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        licenseId:
          type: integer
          format: int64
          readOnly: true
        licenseNotes:
          type: string
          nullable: true
          readOnly: true
        licenseNumber:
          type: string
          nullable: true
          readOnly: true
        licenseRenewalDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        licenseStatus:
          type: integer
          format: int32
          readOnly: true
        licenseTerminationDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        licenseType:
          type: string
          nullable: true
          readOnly: true
        residentStateIndicator:
          type: string
          nullable: true
          readOnly: true
        stateId:
          type: string
          nullable: true
          readOnly: true
        transactionEffectiveDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        transactionRequestDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
        licensesLoaData:
          type: array
          items:
            $ref: '#/components/schemas/ProfileExportFirmGetLicensesLoaData'
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetLicensesLoaData:
      type: object
      properties:
        loaEndDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        promptBusCode:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetNotesDataResult:
      type: object
      properties:
        companyNotes:
          type: string
          nullable: true
          readOnly: true
        producerNotes:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetNyseBranchInfoDataResult:
      type: object
      properties:
        acquiredDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        anticipatedOpeningDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        branchOfficeAcquiredIndicator:
          type: string
          nullable: true
          readOnly: true
        crdNumber:
          type: string
          nullable: true
          readOnly: true
        estimatedNumberOfActiveAccounts:
          type: string
          nullable: true
          readOnly: true
        informationBarriersIndicator:
          type: string
          nullable: true
          readOnly: true
        nyseBulletinListedIndicator:
          type: string
          nullable: true
          readOnly: true
        openingCostTenPercentExcessCapital:
          type: string
          nullable: true
          readOnly: true
        openingEquippingCost:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        optionsBusinessIsConductedIndicator:
          type: string
          nullable: true
          readOnly: true
        organizationName:
          type: string
          nullable: true
          readOnly: true
        priorOpeningExplanation:
          type: string
          nullable: true
          readOnly: true
        registeredOptionsPrincipalCrdNumber:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetOfficeSharingDataResult:
      type: object
      properties:
        additionalComments:
          type: string
          nullable: true
          readOnly: true
        clearingMemberOrganizationIndicator:
          type: string
          nullable: true
          readOnly: true
        entityCrdNumber:
          type: string
          nullable: true
          readOnly: true
        entityName:
          type: string
          nullable: true
          readOnly: true
        entityType:
          type: string
          nullable: true
          readOnly: true
        proposedOfficeSpaceSharingArrangement:
          type: string
          nullable: true
          readOnly: true
        shareOfficeSpaceIndicator:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetOfficeTypeDataResult:
      type: object
      properties:
        crdBranchIdentifier:
          type: string
          nullable: true
          readOnly: true
        nyseBranchCodeNumber:
          type: string
          nullable: true
          readOnly: true
        nyseCrdBranchNumber:
          type: string
          nullable: true
          readOnly: true
        nyseFirmBillingCode:
          type: string
          nullable: true
          readOnly: true
        nyseType:
          type: string
          nullable: true
          readOnly: true
        supervisorCrdNumber:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetOfficerDataResult:
      type: object
      properties:
        nasdCrd:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        officerFirstName:
          type: string
          nullable: true
          readOnly: true
        officerLastName:
          type: string
          nullable: true
          readOnly: true
        officerRegisteredManager:
          type: string
          nullable: true
          readOnly: true
        officerTitle:
          type: string
          nullable: true
          readOnly: true
        officerType:
          type: integer
          format: int32
          nullable: true
          readOnly: true
        startDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetOtherBusinessInfoDataResult:
      type: object
      properties:
        backOfficeOperations:
          type: string
          nullable: true
          readOnly: true
        investmentAdvisoryServicesIndicator:
          type: string
          nullable: true
          readOnly: true
        investmentBanking:
          type: string
          nullable: true
          readOnly: true
        investmentRelatedActivitiesDescription:
          type: string
          nullable: true
          readOnly: true
        marketMaking:
          type: string
          nullable: true
          readOnly: true
        personInvestmentIndicator:
          type: string
          nullable: true
          readOnly: true
        research:
          type: string
          nullable: true
          readOnly: true
        sales:
          type: string
          nullable: true
          readOnly: true
        underwriting:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetOtherBusinessesDataResult:
      type: object
      properties:
        description:
          type: string
          nullable: true
          readOnly: true
        recordType:
          type: string
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetRcrdsCertLocsDataResult:
      type: object
      properties:
        addressType:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        city:
          type: string
          nullable: true
          readOnly: true
        contactPerson:
          type: string
          nullable: true
          readOnly: true
        country:
          type: string
          nullable: true
          readOnly: true
        county:
          type: string
          nullable: true
          readOnly: true
        fromDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        phone:
          type: string
          nullable: true
          readOnly: true
        state:
          type: string
          nullable: true
          readOnly: true
        streetAddress1:
          type: string
          nullable: true
          readOnly: true
        streetAddress2:
          type: string
          nullable: true
          readOnly: true
        zip:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetRegtnsDataResult:
      type: object
      properties:
        branchRegistrationStatusDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        registrationStatus:
          type: string
          nullable: true
          readOnly: true
        regulatoryAuthority:
          type: string
          nullable: true
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetRelationshipsDataResult:
      type: object
      properties:
        contractId:
          type: string
          nullable: true
          readOnly: true
        contractRelationship:
          type: string
          nullable: true
          readOnly: true
        endDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        fein:
          type: string
          nullable: true
          readOnly: true
        firmCode:
          type: string
          nullable: true
          readOnly: true
        firmIndividualProfileCode:
          type: string
          nullable: true
          readOnly: true
        firmName:
          type: string
          nullable: true
          readOnly: true
        firstName:
          type: string
          nullable: true
          readOnly: true
        hierarchyLevel:
          type: string
          nullable: true
          readOnly: true
        lastName:
          type: string
          nullable: true
          readOnly: true
        npn:
          type: string
          nullable: true
          readOnly: true
        relationshipChannel:
          type: string
          nullable: true
          readOnly: true
        relationshipId:
          type: integer
          format: int64
          readOnly: true
        relationshipType:
          type: string
          nullable: true
          readOnly: true
        ssn:
          type: string
          nullable: true
          readOnly: true
        startDate:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        status:
          type: integer
          format: int32
          readOnly: true
        userDefined:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetRgmntEnttysDataResult:
      type: object
      properties:
        crdNumber:
          type: string
          nullable: true
          readOnly: true
        einNumber:
          type: string
          nullable: true
          readOnly: true
        financialInterestName:
          type: string
          nullable: true
          readOnly: true
        financialInterestType:
          type: string
          nullable: true
          readOnly: true
        registeredIndicator:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmGetRgmntsDataResult:
      type: object
      properties:
        branchName:
          type: string
          nullable: true
          readOnly: true
        branchOfficeEmploymentResponsibilityIndicator:
          type: string
          nullable: true
          readOnly: true
        branchOfficeLiabilityIndicator:
          type: string
          nullable: true
          readOnly: true
        entityUnderAgreement:
          type: string
          nullable: true
          readOnly: true
        explanationOfExpenseInterestArrangement:
          type: string
          nullable: true
          readOnly: true
        personResponsibilityForBranchExpenses:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    ProfileExportFirmRequestDto:
      required:
        - profileKey
      type: object
      properties:
        profileKey:
          minLength: 1
          type: string
          description: Profile Key
        dataSets:
          type: array
          items:
            type: string
          description: >-
            Valid Firm Data
            Sets:<br>Address<br/>Appointment<br/>CertificatesAndRecordsLocation<br/>Contact<br/>Contracting<br/>ContractingList<br/>Deficiency<br/>Demographic<br/>ErrorsAndOmissions<br/>Firm<br/>FirmAffiliations<br/>License<br/>Note<br/>NyseBranch<br/>OfficeArrangements<br/>OfficeFinancialInterests<br/>Officer<br/>OfficeSharing<br/>OfficeType<br/>OtherBusiness<br/>OtherBusinessName<br/>Registration<br/>Relationships
          nullable: true
      additionalProperties: false
